function indDilated = DilateRegion(sImg,ind,scale)
%dilate la region indexe par ind. Le rayon de dilatation est donn en
%chaque index par scale . 

% This file is part of ASN operator inspired from the article:
% bibtex
% @inproceedings{conf/eccv/OuelletH08,
% title = {ASN: Image Keypoint Detection from Adaptive Shape Neighborhood.},
% author = {Jean-Nicolas Ouellet and Patrick Hbert},
% booktitle = {ECCV (1)},
% crossref = {conf/eccv/2008-1},
% editor = {David A. Forsyth and Philip H. S. Torr and Andrew Zisserman},
% pages = {454-467},
% publisher = {Springer},
% series = {Lecture Notes in Computer Science},
% url = {http://dblp.uni-trier.de/db/conf/eccv/eccv2008-1.html#OuelletH08},
% volume = {5302},
% year = {2008},
% description = {dblp},
% date = {2008-10-20}, ee = {http://dx.doi.org/10.1007/978-3-540-88682-2_35}, isbn = {978-3-540-88681-5},
% keywords = {dblp }
% }
% 
%     ASN operator is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     ASN operator is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
% 
% Jean-Nicolas Ouellet 2008
% Laval university
% jouellet@gel.ulaval.ca

map = zeros(sImg);

[neigh,oktemp,rad] = GenerateIndNeighborhood(scale,sImg);

for i=1:length(ind)
    
%     weight = GetGaussianValue(rad,scales(i)/2);
%     weight = weight./max(weight);
    
    localInd = neigh+ind(i);
    ok = localInd>0 & localInd<sImg(1)*sImg(2)-1;
    localInd = localInd(ok);
%     weight = weight(ok);

    

    map(localInd) = 1;
%     map(localInd) = map(localInd)+1./length(localInd);
%     map(localInd) = map(localInd)+weight;
end


indDilated = find(map);
% valDilated = map(indDilated);
% valDilated = valDilated./sum(valDilated)*100;



